Ticket #43153

terrain.ruleset, integrates, river, graphics

Open Date: 2021-11-03 03:44 Last Update: 2022-01-14 13:20

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Seen in 3.0.0-beta2 and in 2.6.4

In terrain.ruleset, doc for "integrates" says "graphics are drawn accordingly", but that only seems to work right for roads/rails/Maglev. Not working for integrating with rivers. Requires custom ruleset to repro, so I cloned the 3.0 sandbox ruleset, hacked it the minimum required, re-named to "CanalDemo". Put the attached file CanalDemo.zip in ~/.freeciv/3.0 and unzip it, then should be able to start a game and choose CanalDemo ruleset, which needs its CanalDemo.tilespec to get the canal graphics. Don't need to actually build a canal with workers, can just use "Editing mode" to play with adding canals and rivers. Rivers and rivers, or canals and canals link up OK, but rivers and canals don't.

I suspect this has just never been implemented, so could maybe be seen as an enhancement request instead of a bug.

Ticket History (3/6 Histories)

2021-11-03 03:44 Updated by: ddeanbrown
  • New Ticket "terrain.ruleset, integrates, river, graphics" created
2021-11-11 11:01 Updated by: cazfi
  • Component Update from (None) to Client common
2022-01-05 09:44 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.0.0 (closed)
Comment

I'll push this to S2_6 too.

2022-01-14 13:20 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login